/***************************************************************/
//
//
//		DirectX	[gamepad.h]
//
//									Author	kazuki tanaka
//									Date	2016 07/12
/*---------------------------------------------------------------
■Update : 2016/07/12

/*-------------------------------------------------------------*/
#ifndef _GAMEPAD_H_

#define _GAMEPAD_H_


#include "main.h"


// ジョイスティックのボタンの仮想値( PS3想定 )
typedef enum{

	GP_BUTTON_TRIANGLE = 0,
	GP_BUTTON_CIRCLE,
	GP_BUTTON_CROSS,
	GP_BUTTON_SQUARE,
	GP_BUTTON_L1,
	GP_BUTTON_R1,
	GP_BUTTON_L2,
	GP_BUTTON_R2,

}JOYSTICK_STATE;


// プロトタイプ宣言
HRESULT InitGamepad(HINSTANCE hInstance, HWND hWnd);
void UninitGamepad(void);
void UpdateGamepad(void);

bool GetGamepadPress(int nKey);
bool GetGamepadTrigger(int nKey);
bool GetGamepadRepeat(int nKey);
bool GetGamepadRelease(int nKey);

bool GetGamepadUp( void );
bool GetGamepadDown( void );
bool GetGamepadLeft( void );
bool GetGamepadRight( void );


#endif	// _GAMEPAD_H_